Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 712726 (glibc-2.30-stable) - sys-libs/glibc-2.29-r8 and sys-libs/glibc-2.30-r8 stabilization
Summary: sys-libs/glibc-2.29-r8 and sys-libs/glibc-2.30-r8 stabilization
Status: RESOLVED FIXED
Alias: glibc-2.30-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL: https://sourceware.org/glibc/wiki/Rel...
Whiteboard:
Keywords:
Depends on: 699668 712728 712730 712734 712740 715030
Blocks: CVE-2019-7309 CVE-2019-9169 CVE-2020-10029 CVE-2020-1751
  Show dependency tree
 
Reported: 2020-03-15 16:24 UTC by Andreas K. Hüttel
Modified: 2020-05-04 18:37 UTC (History)
2 users (show)

See Also:
Package list:
sys-libs/glibc-2.29-r8 sys-libs/glibc-2.30-r8
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2020-03-15 16:24:23 UTC
No talking please.
Comment 1 Andreas K. Hüttel gentoo-dev 2020-04-18 16:40:24 UTC
Adding 2.29-r8 here too, to get it out of the way
Comment 2 Andreas K. Hüttel gentoo-dev 2020-04-23 07:50:44 UTC
Arches please test and stabilize:

sys-libs/glibc-2.29-r8
sys-libs/glibc-2.30-r8

Notes on the two versions:

sys-libs/glibc-2.29-r8
----------------------

This version is largely identical to current stable. It contains precisely two changes:
* an important bugfix (only) for sparc
* the move from stack-protector=all to stack-protector=strong, recommended by glibc upstream

As such, even though few users will have tried this version, it should be unproblematic.

There may be test failures, but please *only* have them block anything if they are regressions compared to current stable (2.29-r7).

sys-libs/glibc-2.30-r8
----------------------

True version bump. See $URL for the upstream release notes, and also
https://wiki.gentoo.org/wiki/Project:Toolchain#glibc-2.30
All blockers that we know of are fixed.

The test suite should pass on amd64. 
On other arches, your mileage may vary (please also see the upstream release notes).
Comment 3 NATTkA bot gentoo-dev 2020-04-23 07:52:39 UTC
Unable to check for sanity:

> dependent bug #718676 is missing keywords
Comment 4 NATTkA bot gentoo-dev 2020-04-23 09:00:40 UTC
All sanity-check issues have been resolved
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-04-23 09:01:51 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-04-24 08:59:35 UTC
arm stable
Comment 7 Agostino Sarubbo gentoo-dev 2020-04-24 09:00:06 UTC
s390 stable
Comment 8 Agostino Sarubbo gentoo-dev 2020-04-24 09:00:35 UTC
x86 stable
Comment 9 Agostino Sarubbo gentoo-dev 2020-04-24 12:10:59 UTC
ppc stable
Comment 10 Agostino Sarubbo gentoo-dev 2020-04-24 12:11:26 UTC
ppc64 stable
Comment 11 Agostino Sarubbo gentoo-dev 2020-04-24 12:11:53 UTC
sparc stable
Comment 12 Sam James archtester gentoo-dev Security 2020-05-04 06:29:29 UTC
arm64 stable (thank you slyfox for the debugging; bug 719674)
Comment 13 Rolf Eike Beer 2020-05-04 18:21:38 UTC
hppa stable. Last arch, closing.
Comment 14 Larry the Git Cow gentoo-dev 2020-05-04 18:37:27 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cce133930b2d85cd8bed66715857ccf550048bbd

commit cce133930b2d85cd8bed66715857ccf550048bbd
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2020-05-04 18:35:42 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2020-05-04 18:37:12 +0000

    package.mask: Update old glibc mask, now masking <2.30-r8
    
    Bug: https://bugs.gentoo.org/712726
    Bug: https://bugs.gentoo.org/677272
    Bug: https://bugs.gentoo.org/679044
    Bug: https://bugs.gentoo.org/711558
    Bug: https://bugs.gentoo.org/717938
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 profiles/package.mask | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)